Gentoo Archives: gentoo-perl

From: Yuval Yaari <yuval@g.o>
To: gentoo-perl@l.g.o
Subject: Re: [gentoo-perl] Scalar::Util qw( weaken )
Date: Wed, 25 Mar 2009 10:05:43
In Reply to: [gentoo-perl] Scalar::Util qw( weaken ) by Alex Efros
Alex Efros wrote:
> Because of broken Compress::Zlib we can't use cpan command anymore to > reinstall Scalar::Util, and have to download/unpack/install it manually. >
Both of these modules are actually in portage (perl-core/Compress-Zlib & perl-core/Scalar-List-Utils), so try re-emerging them first. And next time do use g-cpan, it will tell you when a corresponding package exists in portage (and yes, will also resolve dependencies). Hope this helps -- keep us posted, ~Y